Package org.drinkless.tdlib

# Class TdApi.ChatBoostSlot

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatBoostSlot

Enclosing class:
  `TdApi`

public static class TdApi.ChatBoostSlot extends TdApi.Object
Describes a slot for chat boost.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `cooldownUntilDate`
  Point in time (Unix timestamp) after which the boost can be used for another chat.
  `long`
  `currentlyBoostedChatId`
  Identifier of the currently boosted chat; 0 if none.
  `int`
  `expirationDate`
  Point in time (Unix timestamp) when the boost will expire.
  `int`
  `slotId`
  Unique identifier of the slot.
  `int`
  `startDate`
  Point in time (Unix timestamp) when the chat was boosted; 0 if none.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatBoostSlot()`
  Describes a slot for chat boost.
  `ChatBoostSlot(int slotId, long currentlyBoostedChatId, int startDate, int expirationDate, int cooldownUntilDate)`
  Describes a slot for chat boost.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### slotId

    public int slotId
    Unique identifier of the slot.

  - ### currentlyBoostedChatId

    public long currentlyBoostedChatId
    Identifier of the currently boosted chat; 0 if none.

  - ### startDate

    public int startDate
    Point in time (Unix timestamp) when the chat was boosted; 0 if none.

  - ### expirationDate

    public int expirationDate
    Point in time (Unix timestamp) when the boost will expire.

  - ### cooldownUntilDate

    public int cooldownUntilDate
    Point in time (Unix timestamp) after which the boost can be used for another chat.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatBoostSlot

    public ChatBoostSlot()
    Describes a slot for chat boost.

  - ### ChatBoostSlot

    public ChatBoostSlot(int slotId, long currentlyBoostedChatId, int startDate, int expirationDate, int cooldownUntilDate)
    Describes a slot for chat boost.
    Parameters:
      `slotId` - Unique identifier of the slot.
      `currentlyBoostedChatId` - Identifier of the currently boosted chat; 0 if none.
      `startDate` - Point in time (Unix timestamp) when the chat was boosted; 0 if none.
      `expirationDate` - Point in time (Unix timestamp) when the boost will expire.
      `cooldownUntilDate` - Point in time (Unix timestamp) after which the boost can be used for another chat.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR